import request from '@/utils/request'

// 礼金列表
export function listGiftCoupons(query) {
  return request({
    url: '/system/giftcoupon/list',
    method: 'get',
    params: query
  })
}

// 礼金详情（包含关联订单）
export function getGiftCoupon(giftCouponKey) {
  return request({
    url: `/system/giftcoupon/${giftCouponKey}`,
    method: 'get'
  })
}

// 礼金统计
export function getGiftCouponStatistics(query) {
  return request({
    url: '/system/giftcoupon/statistics',
    method: 'get',
    params: query
  })
}

// 导出礼金列表
export function exportGiftCoupons(query) {
  return request({
    url: '/system/giftcoupon/export',
    method: 'post',
    params: query
  })
}

